LOCALSEARCH-SEARCH(1)

NAME
localsearch-search - Search for content

SYNOPSIS

localsearch search [options...] [resource-type] <search-terms>

DESCRIPTION

localsearch search searches all indexed content for the given search terms. Results are returned in ascending order.

<search-terms>
    One or more words to search for. When multiple terms are provided, the default operation is a logical AND. For logical OR operations, see -r.

    If no search terms are supplied, then all items are returned.

Only resources which currently exist will be returned by this command (see --all for more information).

RESOURCE TYPES

-f, --files
    Search for files of any type matching search-terms.

-s, --folders
    Search for folders matching search-terms.

-m, --music
    Search for music files matching search-terms.

--music-albums
    Search for music albums matching search-terms.

--music-artists
    Search for music artists matching search-terms.

-i, --images
    Search for images matching search-terms.

-v, --videos
    Search for videos matching search-terms.

-t, --documents
    Search for documents matching search-terms.

--software
    Search for software files matching search-terms.

OPTIONS

-l, --limit=<limit>
    Limit search to limit results.

-o, --offset=<offset>
    Offset the search results by offset. For example, start at item number 10 in the results. The default is 0.

-d, --detailed
    Show the unique URN associated with each search result and a snippet of the matched search terms, if any was provided.

-a, --all
    Show results which might not be available. This might bebecause a removable media is not mounted for example. Without this option, resources are only shown if they exist.

SEE ALSO

localsearch status(1), localsearch tag(1), localsearch info(1).